Subject: IP's for point-to-point and loopbacks

From: "Junior Corazza" <[email-masked]>
Date: Fri, 27 Oct 2017 10:59:10 -0200

Hello everyone, as we know the IPv4 blocks are gone and so we need to change
the public Ips that we use in point-to-point links and loopbacks to assign
them to clients.

So a question arises and I would like to put it into discussion here, what
blocks of IP not routed on the internet should I use in this case to meet
this need?

At first I thought of using the blocks of RFC1918, but this IPs are well
known and can cause a false impression on the end user.

Finally we are thinking of using the blocks that I will present below, as
they are little known and not routed worldwide.

198.18.0.0/15

192.0.0.0/24

192.0.2.0/24 

192.88.99.0/24

198.51.100.0/24

203.0.113.0/24

What do you think about this?

---

From: Scott Bradner <[email-masked]>
Date: Fri, 27 Oct 2017 09:38:44 -0400

RFC 6890 lists reserved address blocks - you should reconcile your proposed blocks with that

Scott

> On Oct 27, 2017, at 8:59 AM, Junior Corazza <[email-masked]> wrote:
> 
> Hello everyone, as we know the IPv4 blocks are gone and so we need to change the public Ips that we use in point-to-point links and loopbacks to assign them to clients.
> So a question arises and I would like to put it into discussion here, what blocks of IP not routed on the internet should I use in this case to meet this need?
> At first I thought of using the blocks of RFC1918, but this IPs are well known and can cause a false impression on the end user.
> Finally we are thinking of using the blocks that I will present below, as they are little known and not routed worldwide.
>  
> 198.18.0.0/15
> 192.0.0.0/24
> 192.0.2.0/24 
> 192.88.99.0/24
> 198.51.100.0/24
> 203.0.113.0/24
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 28 Oct 2017 08:35:16 +1300

> At first I thought of using the blocks of RFC1918, but this IPs are well known and can cause a false impression on the end user.

Not just a false impression; if they show up in traceroutes they can be extremely misleading.

Has anyone considered (mis)using 100.64.0.0/10 (RFC6598) for this sort of purpose?

...
>> Finally we are thinking of using the blocks that I will present below, as they are little known and not routed worldwide.

A very bad idea. They are all reserved for a reason, and some
of them are well known.

192.88.99.0/24 would a particularly dangerous choice (see RFC7526).

The RIRs make it clear that none of these should be used, e.g. APNIC:

Internet Assigned Numbers Authority SPECIAL-IPV4-REGISTRY-IANA-RESERVED (NET-192-0-0-0-1) 192.0.0.0 - 192.0.0.255
Internet Assigned Numbers Authority DS-LITE-RFC-6333-11-IANA-RESERVED (NET-192-0-0-0-2) 192.0.0.0 - 192.0.0.7

NetName:	6TO4-RELAY-ANYCAST-IANA-RESERVED
NetHandle:	NET-192-88-99-0-1
Parent:	NET192 (NET-192-0-0-0-0)
NetType:	IANA Special Use

Comment:	Addresses starting with "198.18." or "198.19." are set aside for use in isolated laboratory networks used for benchmarking and performance testing.  They should never appear on the Internet and if you see Internet traffic using these addresses, they are being used without permission.

Comment:	Addresses starting with "192.0.2.", "198.51.100.", or "203.0.113." are reserved for use in documentation and sample configurations.  They     should never be used in a live network configuration.  No one has permission to use these addresses on the Internet.

---

From: Paul Wouters <[email-masked]>
Date: Fri, 27 Oct 2017 23:54:41 +0400

>> At first I thought of using the blocks of RFC1918, but this IPs are well known and can cause a false impression on the end user.

What is the false impression? They are NATed I take it?

> Not just a false impression; if they show up in traceroutes they can be extremely misleading.

I think users of traceroute are advanced enough to know rfc1918?

> Has anyone considered (mis)using 100.64.0.0/10 (RFC6598) for this sort of purpose?

Yes, I use it myself to hand out IP’s for IPsec VPN, as it has less chance of clashing with the user’s local preNAT IP range. Until others start abusing this range too.

>>> Finally we are thinking of using the blocks that I will present below, as they are little known and not routed worldwide.

We use the example ranges for our unit testing so I have those permanently configured on our test machines and laptop 😀

> A very bad idea. They are all reserved for a reason, and some

Even the ones that are a safe choice become unsafe once people start using these.

However, there is a lot of unused multicast and reserved space left to do assignments from. I’m not sure why we haven’t started nibbling on those yet, other then wanting to promote ipv6? 

Paul